MCP Tools Reference: oracledatabase.googleapis.com

Tool: create_db_system

Create a DbSystem (BaseDB).

The following sample demonstrate how to use curl to invoke the create_db_system MCP tool.

Curl Request
                  
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_db_system",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for CreateDbSystem.

CreateDbSystemRequest

JSON representation
{
  "parent": string,
  "dbSystem": {
    object (DbSystem)
  },
  "dbSystemId": string
}
Fields
parent

string

Required. The resource name of the project to create the DbSystem in. Format: projects/{project}/locations/{location}

dbSystem

object (DbSystem)

Required. The DbSystem to create.

dbSystemId

string

Required. The ID to use for the DbSystem that is being created.

DbSystem

JSON representation
{
  "name": string,
  "gcpOracleZone": string,
  "odbSubnet": string,
  "displayName": string,
  "shape": string,
  "computeCount": integer,
  "initialDataStorageSizeGb": integer,
  "databaseEdition": enum (DbSystemDatabaseEdition),
  "licenseModel": enum (LicenseModel),
  "sshPublicKeys": [
    string
  ],
  "hostnamePrefix": string,
  "dbHome": {
    object (DbHome)
  },
  "nodeCount": integer
}
Fields
name

string

Identifier. The name of the DbSystem resource in the following format: projects/{project}/locations/{region}/dbSystems/{db_system}

gcpOracleZone

string

Optional. The GCP Oracle zone where Oracle DbSystem is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability.

odbSubnet

string

Required. The name of the OdbSubnet associated with the DbSystem for IP allocation. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet}

displayName

string

Required. The display name for the System db. The name does not have to be unique within your project.

shape

string

Required. Shape of DB System. The only supported shape is VM.Standard.x86.

computeCount

integer

Required. The number of CPU cores to enable for the DbSystem.

initialDataStorageSizeGb

integer

Required. The initial data storage size in GB.

databaseEdition

enum (DbSystemDatabaseEdition)

Required. The database edition of the DbSystem.

licenseModel

enum (LicenseModel)

Required. The license model of the DbSystem.

sshPublicKeys[]

string

Required. SSH public keys to be stored with the DbSystem.

hostnamePrefix

string

Optional. Prefix for DB System host names.

dbHome

object (DbHome)

Required. Details for creating a Database Home.

nodeCount

integer

Required. The number of nodes in the DbSystem.

DbHome

JSON representation
{
  "displayName": string,
  "dbVersion": string,
  "database": {
    object (Database)
  }
}
Fields
displayName

string

Optional. The display name for the Database Home. The name does not have to be unique within your project.

dbVersion

string

Required. A valid Oracle Database version. For a list of supported versions, use the ListDbVersions operation.

database

object (Database)

Required. The Database resource.

Database

JSON representation
{
  "dbName": string,
  "adminPasswordSecretVersion": string,
  "databaseId": string
}
Fields
dbName

string

Required. The database name. The name must begin with an alphabetic character and can contain a maximum of eight alphanumeric characters. Special characters are not permitted.

adminPasswordSecretVersion

string

Required. Immutable. The resource name of a secret version in Secret Manager which contains the database admin user's password. Format: projects/{project}/secrets/{secret}/versions/{version}.

databaseId

string

Required. The database ID of the Database.

Output Schema

This resource represents a long-running operation that is the result of a network API call.

Operation

JSON representation
{
  "name": string,
  "metadata": {
    "@type": string,
    field1: ...,
    ...
  },
  "done": boolean,

  // Union field result can be only one of the following:
  "error": {
    object (Status)
  },
  "response": {
    "@type": string,
    field1: ...,
    ...
  }
  // End of list of possible types for union field result.
}
Fields
name

string

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadata

object

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

done

boolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following:
error

object (Status)

The error result of the operation in case of failure or cancellation.

response

object

The normal, successful response of the operation. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Any

JSON representation
{
  "typeUrl": string,
  "value": string
}
Fields
typeUrl

string

Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name.

Example: type.googleapis.com/google.protobuf.StringValue

This string must contain at least one / character, and the content after the last / must be the fully-qualified name of the type in canonical form, without a leading dot. Do not write a scheme on these URI references so that clients do not attempt to contact them.

The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last / to identify the type. type.googleapis.com/ is a common default prefix that some legacy implementations require. This prefix does not indicate the origin of the type, and URIs containing it are not expected to respond to any requests.

All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): /-.~_!$&()*+,;=. Despite our allowing percent encodings, implementations should not unescape them to prevent confusion with existing parsers. For example, type.googleapis.com%2FFoo should be rejected.

In the original design of Any, the possibility of launching a type resolution service at these type URLs was considered but Protobuf never implemented one and considers contacting these URLs to be problematic and a potential security issue. Do not attempt to contact type URLs.

value

string (bytes format)

Holds a Protobuf serialization of the type described by type_url.

A base64-encoded string.

Status

JSON representation
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
Fields
code

integer

The status code, which should be an enum value of google.rpc.Code.

message

string

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.

details[]

object

A list of messages that carry the error details. There is a common set of message types for APIs to use.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌